package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadO2ValueCommandResponse;

public class ReadO2ValueCommand extends ReadMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1510785086742879166L;

	@Override
	public Class<ReadO2ValueCommandResponse> getResponseClass() {
		return ReadO2ValueCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询氧气监测值命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READO2VALUE;
	}

}
